Bug 1730777 - Build all CNV images on top of ubi8-minimal
Summary: Build all CNV images on top of ubi8-minimal
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Virtualization
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.1.0
Assignee: Francesco Romani
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 15:13 UTC by Nelly Credi
Modified: 2019-08-12 06:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 06:40:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nelly Credi 2019-07-17 15:13:09 UTC
Description of problem:
Not all of our images are built on top of ubi8-minimal
which exposes us to a higher risk for hitting security issues.
we should aim to use ubi8-minimal in all of our images,
unless there is a good reason not to (missing functionality) 

Version-Release number of selected component (if applicable):
2.0

How reproducible:
100%

Steps to Reproduce:
1. Check on which base image our images are built on
2.
3.

Actual results:
some are not built on ubi8-minimal

Expected results:
all should be built on ubi8-minimal

Additional info:

Comment 1 Nelly Credi 2019-07-31 15:06:47 UTC
@Federico, how can we make sure all teams align?

Comment 2 Federico Simoncelli 2019-07-31 15:34:15 UTC
Do you have enough accurate information from the gate reports?
(Make sure with Liora that there are no whitelists, etc.)

You can file bugs on each image and discuss those in the relevant meetings.

Comment 3 Nelly Credi 2019-08-01 14:00:18 UTC
Checked with Liora, they are not whitelisting. 

There are currently 2 images which are not built on minimal container
kubevirt-template-validator-container
kubevirt-metrics-collector-container

once we confirm that both can/should be on minimal, we can track it in separate bugs, 
but not a must imo, as it's only 2 and managed under the same team

Comment 5 Francesco Romani 2019-08-08 11:51:00 UTC
Since we postponed, we can close: cnv-2.1 images are already been updated to use ubi8-minimal as base build image

Comment 6 Nelly Credi 2019-08-12 06:40:49 UTC
Indeed I do not see this issue in 2.1


Note You need to log in before you can comment on or make changes to this bug.